
main {
    max-width: 992px;
}

.box {
    height: 100%;
}

.child_1 {
    background-color: red;
    width: 50%;
    height: 100px;
    border: 1px solid black;
    float: left;
    box-sizing: border-box;
}

.child_2 {
    background-color: lime;
    width: 25%;
    height: 100px;
    float: left;
    border: 1px solid black;
    box-sizing: border-box;
}

.child_3 {
    background-color: cyan;
    width: 33.3333%;
    height: 100px;
    float: left;
    border: 1px solid black;
    box-sizing: border-box;
}

.child_4 {
    background-color: gold;
    width: 11.1111%;
    height: 100px;
    float: left;
    border: 1px solid black;
    box-sizing: border-box;
}


@media (max-width: 768px)  {
    .child_1 {
        width: 50%;
    }
    .child_2 {
        width: 50%;
    }
    .child_3 {
        width: 100%;
    }
    .child_4 {
        width: 33.3333%;
    }
}